Page 1 of 4 123 ... LastLast
Results 1 to 10 of 39

Thread: gscan2pdf в OpenSuSe 12.2 нерабочий и старый

  1. #1

    Default gscan2pdf в OpenSuSe 12.2 нерабочий и старый

    Все версии gscan2pdf во всех репозиториях - нерабочие. К тому же очень старые.

    Подскажите, как установить свежий (или любой) gscan2pdf в OpenSuSe 12.2?

  2. #2
    Join Date
    Nov 2011
    Location
    Novosibirsk
    Posts
    99

    Default re: gscan2pdf в OpenSuSe 12.2 нерабочий и старый

    Вот здесь gscan2pdf - Browse /gscan2pdf/1.1.0 at SourceForge.net есть rpm для SUSE

  3. #3

    Default re: gscan2pdf в OpenSuSe 12.2 нерабочий и старый

    Quote Originally Posted by denis47 View Post
    Вот здесь gscan2pdf - Browse /gscan2pdf/1.1.0 at SourceForge.net есть rpm для SUSE
    Вы пробовали его оттуда ставить? Уверены, что он поставится и заработает?

  4. #4
    Join Date
    Nov 2011
    Location
    Novosibirsk
    Posts
    99

    Default re: gscan2pdf в OpenSuSe 12.2 нерабочий и старый

    Нет, но почему бы не попробовать? Это же с официального сайта.

  5. #5
    Join Date
    Dec 2010
    Location
    Belarus
    Posts
    966

    Default re: gscan2pdf в OpenSuSe 12.2 нерабочий и старый

    Пакет собран отвратительно! Видимо нижеприведенные действия должен выполнять пользователь.
    Первый запуск привел к установке пакета perl-Proc-ProcessTable:
    Code:
      ~> gscan2pdf
    Can't locate Proc/Killfam.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.16.0/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.16.0 /usr/lib/perl5/vendor_perl/5.16.0/i586-linux-thread-multi /usr/lib/perl5/vendor_perl/5.16.0 /usr/lib/perl5/5.16.0/i586-linux-thread-multi /usr/lib/perl5/5.16.0 /usr/lib/perl5/site_perl/5.16.0/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.16.0 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/vendor_perl/5.16.0/Gscan2pdf.pm line 15.
    BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.16.0/Gscan2pdf.pm line 15.
    Compilation failed in require at /usr/bin/gscan2pdf line 126.
    BEGIN failed--compilation aborted at /usr/bin/gscan2pdf line 126.
    Дальнейшие эксперименты только увеличивали число зависимостей. Честно говоря, еще чуть-чуть и мое терпение лопнуло бы, но к счастью цепочка зависимостей закончилась и gscan2pdf запустился. В итоге у меня получился такой список:
    Code:
    sudo zypper in perl-Proc-ProcessTable perl-Readonly perl-Goo-Canvas perl-Set-IntSpan perl-Log-Log4perl
    Cам gscan2pdf устанавливался отсюда , но это не имеет значение, поскольку спек-файл слизан с оф. cайта

  6. #6

    Default re: gscan2pdf в OpenSuSe 12.2 нерабочий и старый

    Quote Originally Posted by denis47 View Post
    Нет, но почему бы не попробовать? Это же с официального сайта.
    А я пробовал. Он не заводится. К тому же там зависимости от перл указаны согласно имененам библиотек в дебиане, а в опенсусе они другие. Я к тому, что зачем давать советы о незнакомых вещах?

  7. #7

    Default re: gscan2pdf в OpenSuSe 12.2 нерабочий и старый

    Что нужно сделать, чтобы пакет был доступен в нормальном виде?

  8. #8
    Join Date
    Aug 2009
    Location
    Санкт-Петербург
    Posts
    1,037

    Default re: gscan2pdf в OpenSuSe 12.2 нерабочий и старый

    Quote Originally Posted by zorkia View Post
    Что нужно сделать, чтобы пакет был доступен в нормальном виде?
    Надо попробовать правильно собрать пакет. Могу попробовать вечером, после работы повозится и сделать. Вроде интересная программа, может и мне пригодится.
    ⇩ Здесь можно сказать "Спасибо!". P.S. Спасибо можно говорить не только мне, но и другим пользователям.

  9. #9

    Default re: gscan2pdf в OpenSuSe 12.2 нерабочий и старый

    Quote Originally Posted by Gankov View Post
    Надо попробовать правильно собрать пакет. Могу попробовать вечером, после работы повозится и сделать. Вроде интересная программа, может и мне пригодится.
    Было б чудно! Помочь, к сожалению, не смогу, ибо знаний не хватает.

  10. #10
    Join Date
    Aug 2009
    Location
    Санкт-Петербург
    Posts
    1,037

    Default re: gscan2pdf в OpenSuSe 12.2 нерабочий и старый

    Quote Originally Posted by zorkia View Post
    Было б чудно! Помочь, к сожалению, не смогу, ибо знаний не хватает.
    Собрал пакет. Пока для тестирования, но надеюсь собрал как надо. Если проблем не будет попробую его добавить в какой нибудь основной репозиторий.
    Установить пока можно из моего репозитория software.opensuse.org:
    Но предварительно нужно подключить репозитории:
    Index of /repositories/devel:/languages:/perl/openSUSE_12.2
    и
    Index of /repositories/home:/Gankov:/branches:/devel:/languages:/perl/openSUSE_12.2

    Второй репозиторий пока необходим, так как для программы требовалась новая версия библиотеки которой нет в devel:/languages:/perl, я уже отправил запрос на добавление новой версии, но его пока не приняли. Как только его примут, второго репозитория не потребуется.
    Так же обратите внимание, что у пакета есть несколько рекомендованных зависимостей. Которые можно не устанавливать, программа будет работать без них, но их установка добавить некоторые функции. К таким зависимостям относятся системы распознования текстов, работа с djvu и прочее.
    Я пока смог проверить работу только с картинками вроде все хорошо. Со сканером проверить пока не могу. Так что это на вас.
    Да и вообще сообщайте о найденных проблемах, исправлю.
    ⇩ Здесь можно сказать "Спасибо!". P.S. Спасибо можно говорить не только мне, но и другим пользователям.

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •